[fglrx] freezes upon Logout or Switch user [patch]

Bug #118605 reported by Matej Vitasek on 2007-06-04
142
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mandriva
Unknown
Medium
fglrx-installer (Ubuntu)
High
Unassigned
Nominated for Intrepid by gururise
Nominated for Jaunty by gururise
Hardy
Undecided
Unassigned
gdm (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by gururise
Nominated for Jaunty by gururise
Hardy
Undecided
Unassigned
linux-restricted-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by gururise
Nominated for Jaunty by gururise
Hardy
Undecided
Unassigned
linux-restricted-modules-envy-2.6.24 (Ubuntu)
Undecided
Alberto Milone
Nominated for Intrepid by gururise
Nominated for Jaunty by gururise
Hardy
Undecided
Unassigned

Bug Description

Using Feisty, Gnome and GDM:

1) log in as any user
2) Log out or Switch user on the Quit screen

The screen goes black, Ctrl+Alt+Backspace does not work, nor does the Ctrl+Alt+F1-12. Interestingly, Numlock LED is still responsive. The only way out is hard reboot.

I looked for the solution on forums. One advice was to turn on "Restart the X server with each login", however, it did not help.

I am not aware of any non-default configuration, I can supply my gdm.conf-custom if needed.

Sebastien Bacher (seb128) wrote :

Thank you for your bug. What videocard and driver do you use?

Changed in gdm:
importance: Undecided → Medium
status: Unconfirmed → Needs Info

I have a ATI Radeon 9600, more specifically:
pci.product: "RV350 AR [Radeon 9600]"
pci.subsys_product: "Sapphire Radeon 9600XT"
...based on Device Manager info.

Driver: I am using the "Restricted driver", enabled in Restricted
drivers manager.

Kernel: due to the problems with -16 kernel, I am using the -15
version at the moment.

Some time ago I ran also the Ubuntu Hardware Database, but something
failed. My subscription ID is ed63ead2ead8903609e6a17361e1cc5f,
however http://hwdb.ubuntu.com/ reports some kind of error. Now I
cannot re-run the detection [and possibly attempt to upload data
again], all the UHD allows is viewing the ID.

If you need more info, please ask.

On 6/12/07, Sebastien Bacher <email address hidden> wrote:
> Thank you for your bug. What videocard and driver do you use?
>
> ** Changed in: gdm (Ubuntu)
> Importance: Undecided => Medium
> Status: Unconfirmed => Needs Info
>
> --
> Feisty freezes upon Logout or Switch user
> https://bugs.launchpad.net/bugs/118605
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have the same symptom, using the nvidia driver (version x86-100.14.09) and feisty (7.04).

I am still able to ssh into the box, and the Xorg was just hung. Killing it keeps me from having to hard boot the whole box, but that's just a workaround, obviously. What other information can I provide?

Keck (launchpad-perlhack) wrote :
Sebastien Bacher (seb128) wrote :

Does it happen with the opensource ati driver?

Switching the restricted drive OFF solved the problem. Switching the
user does not freeze the computer anymore. The X server restarts and
GDM window shows up.

Even with the -16 kernel is everything fine.

On 6/18/07, Sebastien Bacher <email address hidden> wrote:
> Does it happen with the opensource ati driver?
>
> --
> Feisty freezes upon Logout or Switch user
> https://bugs.launchpad.net/bugs/118605
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Changed in gdm:
status: Incomplete → New

I think this is duplicate of bug #38915

It's not a problem with restricted driver...
I have really similar problems (ATI card too, radeon 7000) and I use the *opensource* ("ati") driver, NOT the restricted one...
(the restricted driver doesn't support my card model anyway).

Zannax (stefanoz72) wrote :

Update:
At least in my case the problem was with the composite extension.

**Disabling composite extension completely solved the problem: no more freezes on logout.**

Anyway it didn't freeze always, only when logging in with 2 users, opening certain programs, and then logging out one of the user...

Sam Liddicott (sam-liddicott) wrote :

I get this problem with feisty and with gutsy.

It may be related to bug #122549 but the fix suggested there with respect to unredirect fullscreen windows does not stop the problem with relation to switching users.

In fact if I switch to another user, login, and using ctrl-alt-F keys, switch to a text console and back to the first login, I've jammed it up.

A gdm restart from an ssh login "recovers" things, if thats the right work....

Sam Liddicott (sam-liddicott) wrote :

I think this relates to bug 112518 where I have posted some strace on compiz.real

I have a similar issue on Gutsy with all updates installed. Graphics card is an Intel GMA 950 with the "intel" driver. When I try to logout the system freezes completely and a few white blinking blocks appear on the screen. It seems to be related with compiz. But it freezes not everytime with compiz is enabled. There seem to be other triggers, too.

jisaac (jisaac) wrote :

I'm experiencing the same problem with Gutsy + Compiz + Indirect Rendering option turned on.

If I turn off the Indirect Rendering option, I'm able to logout but not to switch between users.

PD: I'm using the Indirect Rendering option because of the "black window problem" (Bug #96473)...

jisaac (jisaac) wrote :

Ok, with the last updates and with the Indirect Rendering option turned off, I neither reproduce the logout freezes nor the black windows!

My Gutsy is now working well.

Giovanni Masucci (gio-grifis) wrote :

I'm still having the freeze in gutsy with the latest update. So for me this bug is not closed ...exact same graphic card and symptoms as Shadows_Friend.
Having it with both compiz enabled and disabled...so I guess it's not a compiz issue, at least for us intel owners.

gettons (gettons-gmail) wrote :

For me the same problem:

intel 950, compiz fusion from shame repos, debian lenny, xps m1210 , gnome 2.20
Crash randomly, on logout with few white blinking blocks.

Forget compiz, beryl, etc. I have reproduced this with the login screen only running - using gdm.

I have a Thinkpad t60p, ATI "M56GL [Mobility FireGL V5200]". Fglrx 8.37.6. Ubuntu gutsy, kernel 2.6.22-14-rt.

While at the gdmgreeter (login) screen, ssh in to the machine, run ps -afe | grep gdm --- and see:

UID PID PPID C STIME TTY TIME CMD
root 25173 1 0 23:28 ? 00:00:00 /usr/sbin/gdm --config=/etc/gdm/gdm-cdd.conf
root 25174 25173 0 23:28 ? 00:00:00 /usr/sbin/gdm --config=/etc/gdm/gdm-cdd.conf
root 25184 25174 3 23:28 tty9 00:00:03 /usr/bin/X :0 -br -audit 0 -auth /var/lib/gdm/:0.Xauth -nolisten tcp
root 25190 25184 0 23:28 tty9 00:00:00 /usr/bin/X :0 -br -audit 0 -auth /var/lib/gdm/:0.Xauth -nolisten tcp
gdm 25201 25174 1 23:28 ? 00:00:01 /usr/lib/gdm/gdmgreeter

You can see it's running on tty9 (vt9). It was running gdm on vt11 (?!?!) earlier, I found the option in cdm-cdd.conf and disabled it (now set to "VTAllocation=false") but it's still not running on vt7.

I've used UNIX and Linux for nearly 20 years now, and I'm telling you that VT7 is reflex action - but (and this is really bad) going to vt7 locks up the machine solid. All you can do is ssh in and run 'gdm restart'.

This is, as far as I'm concerned, HIGH priority. Heck, it's critical.

For those of us who naturally expect vt7 to be the X session, it's an absolutely critical defect that the machine locks up. If I could still flip around among the VT's, then I could recover......it would only be annoying, losing a second or two. But if I'm in a hotel room (one laptop) or in the airport, I'm going to be holding down the power button until the thing just shuts off...and then watching it reboot again, as I need to board a plane.

This is unacceptable :-(

I don't know if it's gdm or Xorg or fglrx, but if we could please please find the root cause for this one there would be MANY grateful (advanced) linux users out there.....and you can count me among them.

Let me know what (else) I can do to help diagnose this one. Thanks for listening!

/Bill

fglrx belongs to restricted-modules, and problems with it are generally out of our hands.

aglucas (aglucas) wrote :

Hello I have had the same problem
1. login in as on user
2. Swith to another user
3. Try and switch back to 1st user and the screen locks up.

I am using Umbuntu 7.10 gusty with a 64 AMD desktop install.
The Graphics chip is Nvidia geforce 6150 SE the res is 1440x900 at 60.
I was using the restricted nvidia accelerted graphics driver.

The problem went away when I disabled the restricted driver.

Thanks
Aaron

Same with latest ATI ("Catalyst 8.1", really 8.452) proprietary drivers on gutsy/amd64 fully up-to-date as of the date of this post. Pretty much everything except the ATI driver is default (running gnome, metacity, etc.).

On logout, all windows/panels/chrome disappear, leaving the background image only. Logging in via ssh shows X pegged at 100% CPU; this X is truly immortal, being immune to "kill -9" as root, something I don't remember ever seeing before in ~11 years of Linux.

There is clearly something deeply amiss: this is being reported across a spectrum of drivers open and proprietary. If this is "medium priority", what warrants critical? Spontaneous detonation of computer?

Matej, can you please test against Gutsy or Hardy to see if the issue still exists?

Everyone else who is reporting having the "same" problem, I think you are probably experiencing separate issues, despite having similar symptoms (if the symptoms aren't 100% the same as the original poster, they're most likely unrelated); please test against Hardy and if the issue still exists for you, report new bugs on them, attaching your /var/log/Xorg.0.log, /etc/X11/xorg.conf, and the output of lspci -vvnn.

Changed in linux-restricted-modules-2.6.22:
status: New → Confirmed

WRT my post above (2008-01-24), the latest ATI ("Catalyst 8.2", 8.455) does not exhibit this problem on gutsy with the same hardware (all updates applied as of the date of posting).

Nemes Ioan Sorin (nemes-sorin) wrote :

Also in Hardy - same hardware - other OS version - the same old bug.
Today I must reboot using power button.

this come from ATI / AMD delivered driver ?

with opensource driver all seems to be OK ( but no Google Earth, Games, Compiz ..and others ).

billythegates (mfittko) wrote :

I've got a similar problem with my IBM ThinkPad T42 / Mobility Radeon 9600 chip.
With the latest version of the fglrx driver compiz runs perfectly well and the machine is also able to suspend properly. But however, when I try to resume - with compiz previously enabled - I a get a grey and somewhat speckled slim bar on the lower right of the screen with some artifacts around the mouse cursor. The mouse can be moved but nothing else will work - compiz desktop will just not awake a second time!
When I previously disable compiz and then set my machine in suspend mode, this grey bar shows up as well, but only for a couple of milliseconds and then the desktop appears to start normally.
There is also a similar issue to this one - when I log-off (with compiz enabled) X freezes totally (black screen with backlight on) and the only thing I can do is a hard reboot!
I can provide you with more information - configuration files and logs - just say what you need and where I can find it!

Forlong (forlong) wrote :

I'm having the same issue as the original reporter on an up-to-date Hardy.

Is there anything I should attach?
https://wiki.ubuntu.com/DebuggingXorg maybe?

Ilja Pavkovic (ipavkovic) wrote :

Hi,

the attached patch seems to fix the problem for me (running kubuntu 7.10 with self compiled fglrx 8.3; yes, I know, not the right setup, but I assume this will also happen in hardy.).

Without this patch the process atieventsd infinitely waits for a child process 'sh -c "/etc/ati/authatieventsd.sh grant :0 /tmp/atievntX.3N1JTc"' (and this one waits for a child process 'xauth -f list'. Try this on your command line).

Perhaps other people having this problem may check for such hanging processes:
ps axuwww | grep -q authati || echo "authatieventsd fails"

If so, try to kill these process *before* shutting down the X server.

Can anyone else confirm this?

Christian Assig (chrassig) wrote :

Hi Ilja,

your patched solved the problem of the logout freeze for me. I had to reboot first though, perhaps restarting the X server would have been sufficient as well. Manually killing authatieventsd before logging out did not work for me, however.

I'm running a current Kubuntu Hardy (with xorg-driver-fglrx 7.1.0-8-3+2.6.24.11-12.31) on a notebook with an RV350 chip (Mobility Radeon 9600 M10).

The only thing I have found so far that does not work is starting a second X server session (K-menu->Switch User->Start New Session). It causes the system to freeze with a black screen. In this case, the Num Lock LED is not responsive and I can't SSH to the system. The system still responds to pings however. This issue only occurs with fglrx, after switching to the open source driver all is fine. Should I file a new bug for this, or does this still fit this bug?

Daniel Velasco (yoalieh) wrote :

I have an Inspiron 1501 with Express 1100, with Kubuntu 8.04 Beta, AMD64.

I'm using all the current packages in hardy, and using fglrx from kubuntu repo.
I couldn't shutdown the X server because it hanged out.
Ii tested this patch and I can shutdown, reboot, suspend, and event hibernate/resume.

Thanks

I hope ubuntu people can patch this atieventsd.sh before the release.

JM Barbier (jm-barbier) wrote :
Download full text (3.5 KiB)

I have the same problem as the original reporter on a default Kubuntu 8.04 Beta, i386
the computer is a Toshiba A210-1BH with a Mobility Radeon HD 2400
i'm using all the current packages in hardy, and using fglrx from ubuntu repo.

on logoff, or even on Ctrl+Alt+Backspace, the system freezes. Up to this morning, i could use the SysRQ keys, but today (after some package updates), the freeze is total, caps lock blinking and strange squares blinking on the screen.

using ati opensource driver closes the problem... but that's not a solution :-)

i tested the above atieventsd.sh patch, but it was not a solution for this problem

Syslog does not give anything special : this is the log from my last session (had to reboot using power button).

Mar 31 23:24:41 portjm kernel: [ 634.840659] [fglrx] Maximum main memory to use for locked dma buffers: 1898 MBytes.
Mar 31 23:24:41 portjm kernel: [ 634.840694] [fglrx] ASYNCIO init succeed!
Mar 31 23:24:41 portjm kernel: [ 634.841019] [fglrx] PAT is enabled successfully!
Mar 31 23:24:41 portjm kernel: [ 634.841039] [fglrx] module loaded - fglrx 8.47.3 [Feb 25 2008] on minor 0
Mar 31 23:24:54 portjm kdm[15206]: StartServerSucces
Mar 31 23:24:55 portjm kernel: [ 640.689353] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 18 (level, low) -> IRQ 17
Mar 31 23:24:57 portjm kernel: [ 642.596704] [fglrx] Reserve Block - 0 offset = 0X7ffb000 length = 0X5000
Mar 31 23:24:57 portjm kernel: [ 642.596713] [fglrx] Reserve Block - 1 offset = 0X0 length = 0X1000000
Mar 31 23:24:57 portjm kernel: [ 642.596718] [fglrx] Reserve Block - 2 offset = 0X7f7a000 length = 0X80000
Mar 31 23:24:57 portjm kernel: [ 643.033771] [fglrx] interrupt source 10000000 successfully enabled
Mar 31 23:24:57 portjm kernel: [ 643.033779] [fglrx] enable ID = 0x00000006
Mar 31 23:24:57 portjm kernel: [ 643.033790] [fglrx] Receive enable interrupt message with irqEnableMask: 10000000
Mar 31 23:24:57 portjm kernel: [ 643.048940] [fglrx] interrupt source 60000001 successfully enabled
Mar 31 23:24:57 portjm kernel: [ 643.048947] [fglrx] enable ID = 0x00000007
Mar 31 23:24:57 portjm kernel: [ 643.048954] [fglrx] Receive enable interrupt message with irqEnableMask: 60000001
Mar 31 23:24:57 portjm kernel: [ 643.049024] [fglrx] interrupt source 00000040 successfully enabled
Mar 31 23:24:57 portjm kernel: [ 643.049027] [fglrx] enable ID = 0x00000008
Mar 31 23:24:57 portjm kernel: [ 643.049031] [fglrx] Receive enable interrupt message with irqEnableMask: 00000040
Mar 31 23:24:57 portjm kernel: [ 643.052997] [fglrx] interrupt source ff00002c successfully enabled
Mar 31 23:24:57 portjm kernel: [ 643.053001] [fglrx] enable ID = 0x00000009
Mar 31 23:24:57 portjm kernel: [ 643.053006] [fglrx] Receive enable interrupt message with irqEnableMask: ff00002c
Mar 31 23:24:57 portjm kernel: [ 643.053062] [fglrx] interrupt source ff00002d successfully enabled
Mar 31 23:24:57 portjm kernel: [ 643.053065] [fglrx] enable ID = 0x0000000A
Mar 31 23:24:57 portjm kernel: [ 643.053069] [fglrx] Receive enable interrupt message with irqEnableMask: ff00002d
Mar 31 23:24:57 portjm kernel: [ 643.053119] [fglrx] interrupt source 20000400 successfully enabled
Mar 31 2...

Read more...

Bryce Harrington (bryce) on 2008-04-02
Changed in linux-restricted-modules-2.6.24:
status: Confirmed → In Progress
openmoho (openmoho) on 2008-04-07
Changed in linux-restricted-modules-2.6.24:
assignee: nobody → openmoho
Todd R. Lyons (trlyons) wrote :

I am also experiencing this with Kubuntu 8.04 (AMD64). Video is ATI X1250 with latest fglrx (re-downloaded again yesterday, from Ubuntu repositories) and no compiz fusion. It consistently goes to black screen after logout or attempt to restart. The Ctrl-Alt-Fx keys and Ctrl-Alt-Backspace do not work, though Ctrl-Alt-Del will eventually bring back the splash logout screen if I repeat it a half dozen times. Using regular Vesa removes the problem, but I am unable to use any of the other ATI drivers (ATI Vesa, radeon) because the OS insists the card doesn't support it. If I try to select these anyway, I boot up to a black screen and have to restore settings from the command line. So, using the accelerated driver is my only option. fglrx works fine except as noted above, although I've had one instance in the last 10 days (since initial install) that the system froze during a GL screensaver.

Calvin Fisher (calvin-fisher) wrote :

I am also experiencing this issue in the Kubuntu Hardy Beta on my Dell D610 since I switched to the fglrx driver; the ati driver seems to work without issue. This machine has used the fglrx driver fine under Ubuntu Edgy, Feisty, Gutsy, and Hardy Beta. IThe problem is only present with the Kubuntu install, not with vanilla Ubuntu.

The initial description matches my machine's symptoms perfectly. Any session ending action (log out, restart, shut down--but not "start new session") causes a blank screen and unresponsive input. Ctrl-alt-backspace does not restart the X session and ctrl-alt-F1 does not switch to a terminal. The machine will remain like that indefinitely. But interestingly, I have found that pressing the power button DOES instigate an apparently normal shutdown procedure, even once all other input has frozen. My machine has no other problems with the fglrx driver.

Technowizard (technowizard) wrote :

I have exactly the same problems with my Radeon 9600 Pro (restart, log out and shutdown all stop with a black screen). To restart I have to press crtl-alt-del, to shutdown the power button. Using Vesa solves the issue.

Stefan Carslöv (odur) wrote :

I had the same problem on my up to date Kubuntu 8.04 Beta. The problem is that /etc/ati/authatieventsd.sh can't locate a file. It's got the wrong path.

In /etc/ati/authatieventsd.sh change this line:
   XDM_AUTH_MASK=/var/lib/xdm/authdir/authfiles/A$1*

to:
   XDM_AUTH_MASK=/var/run/xauth/A$1*

This solved the black screen hanging on logoff for me.

I'm not quite sure what to change if you're using Gnome, but I suspect it's this line:
    GDM_AUTH_FILE=/var/lib/gdm/$1.Xauth

Albert Astals Cid (aacid) wrote :

Stefan's hint works for me too

tessonec (tessonec) wrote :

The fix does not seem to work for me.

I think that the bug 213295 (filed by me) is a duplicate of this one.

I do not know how to merge both bugs,

Larry Hartman (larryhartman50) wrote :

I am using Kubuntu Gutsy, had this issue off and on for two versions or so, it only seemed to occur when I downloaded the latest ATI drivers, vice using from repository.
I physically verified the new path existed before replacing the XDM_AUTH_MASK line. After replacement my issue was solved. Tested on Loggoff, Shutdown, Restart, and X-server restart CTRL-ALT-BACKSPACE--all functional.

I was wondering if someone is going to push this issue and the proposed solution upstream to ATI for permanent fix.

Also the first line bug description needs to be changed to include all affected versions, that way folks know immediately that they are in the right spot:

"Using Feisty, Gnome and GDM:"

--to--

"Using Feisty, Gutsy, Hardy--Ubuntu and Kubuntu:"

tessonec (tessonec) wrote :

I was wrong two comments above.

The fix works for me also.

As Larry Hartman, I am also using Kubuntu Hardy, so the title should be corrected

Technowizard (technowizard) wrote :

Thank you for your solution Stefan!

Stefan Carslöv (odur) wrote :

I've now read all the comments of this bug as I should have done before I submitted my first comment/solution. The patch supplied by Ilja Pavkovic on 2008-03-19 is probably the correct way to solve the problem for all different configurations. It accomplish what I wrote above, and some more.

Todd R. Lyons (trlyons) wrote :

I'd like to thank Stefan for his response, and for assisting me in understanding how Ilja's patch is applied (I've never used a patch before). So, for the benefit of anyone else who'd like to use the script above:

1. Make sure you have the tool "patch" installed (sudo apt-get install patch)
2. Save Ilja's patch file to your home directory
3. In your home directory run:
sudo patch /etc/ati/authatieventsd.sh authatieventsd.patch

The file will be patched and a backup of the original file will be created
in /etc/ati/

Timo Aaltonen (tjaalton) wrote :

I'll take this, let's see if this could make it in 8.04 after RC.

Changed in linux-restricted-modules-2.6.24:
assignee: openmoho → tjaalton
importance: Medium → High
milestone: none → ubuntu-8.04
Steve Langasek (vorlon) on 2008-04-21
Changed in linux-restricted-modules-2.6.24:
milestone: ubuntu-8.04 → ubuntu-8.04.1
Timo Aaltonen (tjaalton) on 2008-05-07
Changed in linux-restricted-modules-2.6.24:
milestone: ubuntu-8.04.1 → none
status: In Progress → Fix Committed
Changed in linux-restricted-modules-envy-2.6.24:
assignee: nobody → albertomilone
status: New → In Progress
Martin Pitt (pitti) on 2008-05-07
Changed in linux-restricted-modules-2.6.24:
status: New → Fix Committed
Martin Pitt (pitti) on 2008-05-26
Changed in linux-restricted-modules-2.6.24:
status: Fix Committed → Fix Released
28 comments hidden view all 108 comments
Martin Pitt (pitti) wrote :

Not a bug in gdm, this is a bug in the graphics drivers (at most in conjunction with compiz).

Changed in gdm:
status: New → Invalid
status: New → Invalid
Mercer Rivière (vincentuq) wrote :

are you sure about that? If so, nvidia drivers are also flawed.

zorpox (nononinono) wrote :

Intel chipsets with built in graphic-acceleration (Centrino) also still show this behavior.

Andreas Modinos (blueturtl) wrote :

I can confirm this bug on a Compaq nx6125 laptop (AMD Turion64, generic kernel, Ati Xpress200M with fglrx driver).
OS: Ubuntu 8.04.1

I log in as user #1, then switch to user #2. If after this I log out user #2, the system will hang with a black screen. I am able to move the cursor, but otherwise the system is completely unresponsive. Switching to another terminal will not work, nor will trying to restart X (Ctrl+Alt+Backspace). I have to hold down the power button to restart.

I can provide the following information from my kernel log, it appears the fglrx driver is in trouble right before the lockup occurs:

Jul 3 10:19:19 creature kernel: [ 523.982813] [fglrx:firegl_lock] *ERROR* Process 7578 is using illegal context 0x00000005
Jul 3 10:20:30 creature kernel: [ 560.363705] [fglrx:fireglAsyncioIntEnableMsgHandler] *ERROR* IRQMGR returned error 1 when trying to enable interrupt source 20008000
Jul 3 10:20:30 creature kernel: [ 560.363714] [fglrx] Receive enable interrupt message with irqEnableMask: 20008000
Jul 3 10:24:13 creature kernel: [ 683.510810] [fglrx:fireglAsyncioIntEnableMsgHandler] *ERROR* IRQMGR returned error 1 when trying to enable interrupt source 20008000
Jul 3 10:24:13 creature kernel: [ 683.510819] [fglrx] Receive enable interrupt message with irqEnableMask: 20008000
Jul 3 10:27:39 creature kernel: [ 814.770094] [fglrx] interrupt source 20008000 successfully disabled!
Jul 3 10:27:39 creature kernel: [ 814.770100] [fglrx] enable ID = 0x00000001
Jul 3 10:27:39 creature kernel: [ 814.770103] [fglrx] Receive disable interrupt message with irqEnableMask: 20008000; dwIRQEnableId: 00000001
Jul 3 10:27:41 creature kernel: [ 816.871867] [fglrx:firegl_lock_free] *ERROR* lock was not held by 5! (*lock=0x80000001)
Jul 3 10:27:41 creature kernel: [ 816.871877] [fglrx:firegl_unlock] *ERROR* firegl_lock_free failed!

I checked to comments for a fix, but apparently they are already applied in the latest Hardy updates?
At least my /etc/ati/authatieventsd.sh seems to match the spesified changes a few posts back.

ian (ian6) wrote :

I'm experiencing a similar problem, Intel E8400 and Asus 3850 video card, fglrx driver.

The ati driver works fine, installing the fglrx driver causes a black screen (and what looks like) a hard lock-up on logout, switch user, and when X is started. This is on Kubuntu 8.04.1 with all updates applied.

Alberto Milone (albertomilone) wrote :

You might try the latest version of the fglrx driver and see if it fixes the problem.

Can you enable the hardy-proposed and hardy-updates repositories, install EnvyNG so as to install the latest release of the driver?

If you can still reproduce the problem then you should report the problem to ATI:
http://ati.cchtml.com/

ian (ian6) wrote :

My initial problem was a broken mtrr. I'm not sure if that's the fault of Asus (motherboard), ATI, Intel or Linux... but fixing that lets me get into X. Unfortunately I'm still having a problem (wait for it...) with freezing on logout or user switch.

I added hardy-proposed (hardy-updates was already there) and installed the envy drivers, still a hard lock on logout. Keyboard is blinking at me as I type this on another machine.

I guess I should have done more research before buying the card, IE actually checking out what state the radeonhd drivers were in. Or how bad fglrx had gotten. It's more a little frustrating when I can barely use the machine, let alone actually use the card for 3d.

Terrax (tball-es) wrote :

I got the exact same problem, as original stated in the bugreport.

I think there is two bugs in one, and we can't close the bug mentioned in the original bugreport. Because it still exists.
With fully updated Hardy and catalyst 8.7, my computer hardlock and capslock blinks in different speed. This only happens when using kdm, not gdm!

I have tried the mentioned scripts, but nothing helps.

Robert Bernecky (bernecky) wrote :
Download full text (3.7 KiB)

Me, too!

I'm running an ATI HD 3450, with Xinerama enabled and apparently working properly.
HOWEVER, any attempt to log off, or to change users by either the user switcher or
little-green-man menu, result in black screens and hang. Hard reset is the only
way out: ctrl-alt-bksp doesn't fix it. After I file this, I'm going to see if restarting
gdm from an ssh, started BEFORE the logoff, helps at all.

I'm running Xinerama, and ATI accelerated drivers are marked as "in-use", but DISABLED,
by the System/Admin/Hardware Drivers page. I'm trying to run GNOME, across the board,
for all users, but am not sure how to force that.

The drivers were installed by envy-gt a few minutes ago. All Ubuntu-based updates
are installed, to the best of my knowledge.

The various patches described by Ilya, etc., appear to have already been made by
Ubuntu system upgrades. The Stefan patch appears to have already been made, too,
but I'm not sure about any GDM patches. I am running GDM...

This is getting on my nerves, because EVERY TIME I dare to hit the system upgrade
button, X goes off the air for days or more. I just replaced my NVIDIA card with an ATI
card, in the hope that it would be more house-broken, but instead, it just looks to
be also-broken.

Robert

-------------------------------------

# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg
#Section "Extensions"
# Option "Composite" "Enable"
# EndSection

Section "Screen"
 Identifier "aticonfig-Screen[0]-0"
 Device "aticonfig-Device[0]-0"
 Monitor "aticonfig-Monitor[0]-0"
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
 Defaultdepth 24
EndSection

Section "Screen"
 Identifier "aticonfig-Screen[0]-1"
 Device "aticonfig-Device[0]-1"
 Monitor "aticonfig-Monitor[0]-1"
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
 Defaultdepth 24
EndSection

Section "Device"
 Identifier "aticonfig-Device[0]-0"
 Driver "fglrx"
 Option "DesktopSetup" "horizontal"
 Option "VideoOverlay" "on"
 Option "OpenGLOverlay" "off"
 Busid "PCI:3:0:0"
EndSection

Section "Device"
 Identifier "aticonfig-Device[0]-1"
 Driver "fglrx"
 Busid "PCI:3:0:0"
 Screen 1
 Option "VideoOverlay" "on"
 Option "OpenGLOverlay" "off"
EndSection

Section "InputDevice"
 Identifier "Generic Keyboard"
 Driver "kbd"
 Option "XkbRules" "xorg"
 Option "XkbModel" "pc104"
 Option "XkbLayout" "us"
EndSection

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
EndSection

Section "ServerLayout"
 Identifier "Default Layout"
  screen 0 "aticonfig-Screen[0]-0" 0 0
  screen "aticonfig-Screen[0]-1" rightof "aticonfig-...

Read more...

Robert Bernecky (bernecky) wrote :

change users from little-green-man icon hangs system. live ssh from other box dies then.

Timo Aaltonen (tjaalton) on 2008-07-31
Changed in linux-restricted-modules-2.6.24:
assignee: tjaalton → nobody
Changed in fglrx-installer:
status: Fix Committed → Confirmed
Mario Limonciello (superm1) wrote :

The fix from hardy is already in intrepid. If it reoccurs please reopen bug

Changed in fglrx-installer:
status: Confirmed → Invalid
Robert Bernecky (bernecky) wrote :

I have enabled http://ddebs/ubuntu.com hardy-updates and hardy-proposed.

A quick eyeball scan does not show anything new in envy or xorg-drivers.
I have no idea how to properly (safely) update from intrepid. Can you please give me a hint?

Thanks. R

flaccid (chris-xhost) wrote :

Can somebody please advise which package and repos this fix is in for Hardy?
I have no desire to upgrade to Intrepid (unreleased) to get a major bug fix.

I'm using:

ii xorg 1:7.3+10ubuntu10.2
ii xorg-driver-fglrx 1:7.1.0-8-3+2.6.24.14-20.46

on Linux lister 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux

I still have hard crashes in situations like going to a tty while an OpenGL game is running then going back to the X tty and it hard crashes or when restart KDM after logout.

Same actual information on the bug fix and where it was applied etc. is always useful for users to re-test and confirm etc.
I dislike saying a fix is available but not specifying exactly where (this wastes more time etc.).

flaccid (chris-xhost) wrote :

Same actual information = Some actual information above.

Mario Limonciello (superm1) wrote :

flaccid:

Your best bet is to grab the latest packages from ati's website, and do a --buildandinstallpkg on the .run file.

Matthias Niess (mniess) wrote :

This issue still isn't fixed. All above mentioned fixes come with the updates now. Still a bunch of (different) laptops with fglrx drivers crash on logout for me. Please let me know what information you need (which logfiles) to further investigate.

Stefan Carslöv (odur) wrote :

Since my last comment I have bought a new card, a HD3870. With my old card (X600) everything worked flawless after the changes to /etc/ati/authatieventsd.sh but now I got a hard-lock (have to power cycle) when I logout of KDE or try to swap user. Shutdown and restart works correct though. I have tried Catalyst 8.3 through 8.7 with the same result. After some extensive search and testing I found that disabling AIGLX by adding:

Section "ServerFlags"
        Option "AIGLX" "off"
EndSection

to /etc/X11/xorg.conf resolves that situation. This is a complete different bug though, as I can reproduce it with or without atieventsd running. But this could be a solution to you people who still got lockups when logging out.

Jarkko Lietolahti (jarkko-jab) wrote :

I had exactly the same freezing "events" as in the previous post. One sympthon was blinking Caps-lock led, only hard-reboot would help.

I can also confirm that turning Option "AIGLX" "off" solves the situation.

Robert Bernecky (bernecky) wrote :

I'm running Intrepid Alpha 3, and just reinstalled the (July 21?) ATI drivers from scratch.
That produces bug#247376. AIGLX settings don't appear to be relevant.
So, I consider the ATI drivers to be, at this stage,
completely useless for my work. From the looks of the other bug reports hanging off
bug#247376, it looks that ATI is not highly motivated to do the repair work, since
those bug reports date back to February 2008.

Martin Pitt (pitti) wrote :

ubuntu-sru unsubscribed. Please re-subscribe if/once there is an actual SRU request here.

Changed in linux-restricted-modules-2.6.24:
status: New → Invalid
status: New → Invalid

Hi all.

In my case I have arrived to this report searching in google the error strings that had appeared to me in dmesg:

[360663.776727] [fglrx:fireglAsyncioIntEnableMsgHandler] *ERROR* IRQMGR returned error 1 when trying to enable interrupt source 10000000
[360663.776736] [fglrx] Receive enable interrupt message with irqEnableMask: 10000000
[360672.983371] [fglrx] interrupt source 10000000 successfully disabled!
[360672.983377] [fglrx] enable ID = 0x00000001
[360672.983379] [fglrx] Receive disable interrupt message with irqEnableMask: 10000000; dwIRQEnableId: 00000001
[360673.754298] [fglrx:firegl_lock_free] *ERROR* lock was not held by 1! (*lock=0x00000000)
[360673.754307] [fglrx:firegl_unlock] *ERROR* firegl_lock_free failed!
[369872.638364] [fglrx] Receive enable interrupt message with irqEnableMask: 10000000
[369879.239094] [fglrx] Receive disable interrupt message with irqEnableMask: 10000000; dwIRQEnableId: 00000001
[369880.703792] [fglrx:firegl_lock_free] *ERROR* lock was not held by 1! (*lock=0x00000000)
[369880.703798] [fglrx:firegl_unlock] *ERROR* firegl_lock_free failed!

I got them trying to switch user and logging in again.
And everything continues working fine apparently.

Robert Bernecky (bernecky) wrote :

After a complete install of the released version of Ubuntu 8.10 on another partition,
this is nearly working perfectly.

The system loses the ATI Catalyst dual-head settings over a reboot, but things
are otherwise good.

BTW, installation of the restricted drivers is very nice now!

I think we can close this bug now.
Thanks.

ThorbjørnTux (martsummsw) wrote :

I do not think that this bug can be closed yet.
With Kubuntu 8.10 (with all updates) I can not switch user.

When I click 'start new session' on the 'Warning - New Session' dialog I get a freeze.
(If I use vesa I successful get a new session - however when I return to my previous the graphics is a mess.)

ATI 3870.

I am however happy that I can now logout without a freeze.

Robert Bernecky (bernecky) wrote :

Well, I now agree that the bug is still there: after a recent update,
if "restricted drivers" are enabled (ATI fglrx), the system crashes
immediately after System/Logout/Change User or on an
attempt to change users with the Fast User Switch applet.

If "restricted drivers" are disabled, the user switching works OK.

Not sure how we can resolve this, but am willing to help.

Larry Hartman (larryhartman50) wrote :

I did some checking on a fresh install of Intrepid, discovered this file with incorrect line as reported above and made the change. I don't think it made any practical difference since I am running KDM.

In /etc/ati/authatieventsd.sh change this line:
   XDM_AUTH_MASK=/var/lib/xdm/authdir/authfiles/A$1*

to:
   XDM_AUTH_MASK=/var/run/xauth/A$1*

I am able to switch sessions but am experiencing problems setting up dual head (I think this is another bug though).

Robert Bernecky (bernecky) wrote :

1. I'm running gnome.

2. I think I installed dual-head this way:

         - normal install of 8.10 release
         - System/Administration/Hardware Drivers: enable ATI drivers.

3. At this point, I think the system claims that a reboot is needed.
    I'm not sure if that is the case...

4. I was NOT able to set up dual-head support using the expected
   (Well, it was expected by me, anyway...) System/Preferences/Screen Resolution support.

5. I WAS able to set up dual-head support using Applications/Accessories/ATI Catalyst Control Center

6. I'll have a look at /etc/ati/authatieventsd.s and see if I can puzzle my way through it for gnome.

ThorbjørnTux (martsummsw) wrote :

I am running Kubuntu / KDM.
Changing
XDM_AUTH_MASK=/var/lib/xdm/authdir/authfiles/A$1*
to
XDM_AUTH_MASK=/var/run/xauth/A$1*

does not help me. I still get a freeze.

gururise (gururise) wrote :

This bug cannot be closed. In Hardy 8.04, fully updated, I still experience lockups on switch user.

Changed in fglrx-installer:
status: Fix Released → Confirmed
gururise (gururise) wrote :

Forgot to mention I am running 64-bit Hardy. I tried with the fglrx that comes with Hardy, and also the 8.12 catalyst drivers directly from AMD, and they both exhibit the same problem. User switching works fine using the opensource radeonhd drivers.

Changed in linux-restricted-modules-envy-2.6.24:
status: New → Confirmed
Robert Bernecky (bernecky) wrote :

I don't particularly care about graphics performance, but definitely DO want
(1) switch-user to work properly (which, at present, crashes my system), and
(2) dual-head support to work properly.

So, I may not need the apparently useless drivers from AMD/ATI, if they are the root
of the problem, IF I can get the above features to work properly without fglrx.

Someone claimed that someone from ATI/AMD said that "nobody uses switch-user,
so we don't have to fix it". This statement is rumor, so I don't want to beat up on
ATI/AMD (perhaps), but let me assure you that the need to run concurrent users
with different permissions is very critical to my work. If NVIDIA can support
the above two requirements, I would switch to them in an instant, IFF
they work. My past experience with NVIDIA does not give me hope here.

\begin{rant}
If ATI/AMD would just publish their device (GPU) specifications, we could
do the open-source thing and life would be good. At present, I have NO
good suppliers of GPUs to go to. This is as bad as the mainframe world
of the 1970s, when IBM refused to publish their I/O channel specifications,
in the hope of keeping their monopoly. Perhaps someone should sue
ATI/AMD and NVIDIA to get them to publish their interface specifications.
\end{rant}

BTW, these problems, from what I've seen, may not be specific to ATI/AMD or
NVIDIA, because it seems to appear with both GPUs. If so, my apologies to
the appropriate vendor(s). If not, will you people please get off your
butt and fix things?

Thanks. Your Unsatisfied Linux Customer.

flaccid (chris-xhost) wrote :

@Robert Bernecky

1, Complaining to AMD/ATI tends to do nothing but frustrate people due to the lack of any response on their part
2. ATI *did* release open specification for its video driver, or at least the parts they could or would due to licensing and other IP gripes. I guess it enabled better development of the open-source Xorg driver, but has only relinquished their responsibility with fglrx.
3. fglrx does not support XrandR so dual head needs to be done via Xinerama or similar eg. http://en.gentoo-wiki.com/wiki/X.Org/Dual_Monitors/ATI
4. switch user and dual display should work Ok under the open-source "ati" or "radeon" driver.
5. In this case you can't blame Linux, but you can blame AMD for lack of support and maintainence of the driver and Ubuntu for its lack of action - Its still not proven which one is exactly at fault and why; but it do looks like the ATI driver is doing something non-standard

Unfortunately none of this gets us closer to fixing this bug.

My compiz.real locks up with a black screen any time I switch virtual terminals or try to suspend. Nothing mentioned worked for me. I've created a workaround which is working very well.

1. I've created a modified fusion-icon. Download it here:
http://www.jacobstoner.com/fusion-hacked.tar.gz
2. Add this like to your /etc/sudoers (your user account should be able to run sudo fgconsole without a password)
ALL ALL=NOPASSWD: ALL fgconsole
3. Add this line to the top of /usr/sbin/pm-suspend (under the comments):
killall -9 compiz.real

install the modified fusion-icon by extracting, opening the directory and running:
sudo make install

The modifications will only work with the GTK interface. So if you're using KDE you'll probably need to force GTK by altering the code.

The modifications will monitor your active virtual terminal, kill it as needed, and relaunch as needed.
It will also relaunch compiz after 5 seconds if it dies, this helps with the restore after a suspend.

I am using gnome and debian. I'd be happy to modify it if someone needs any help for their particular setup. As far as I'm concerned these modifications will make a fine permanent solution.

jacob019,
please take a look at bug 98684, comment https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.20/+bug/98684/comments/22 . There is a link to an experimental driver having the bug fixed. If the fix works for you, maybe this bug could be closed as duplicate.

Changed in mandriva:
status: In Progress → Invalid

Hi Alek,
Thanks for the link. I don't think this will work for me, as I have Intel video. The bug is identical though.

Identical bug for me too on lucid using an intel video card.
(According to lshw, I have a 82G33/G31 and it uses the i915 driver.)

Welll... not exactly the same for me on lucid using an intel card.
I can reproduce it this way:
1) log in as any user
2) switch to to any other user (not guest-session, because that won't trigger this)
3) log oout
4) Observe that all you have is a black screen, not even Ctrl-Alt-F1 works

Changed in mandriva:
status: Invalid → Unknown
Changed in mandriva:
importance: Unknown → Medium
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu):
status: In Progress → Won't Fix
Rolf Leggewie (r0lf) wrote :

Hardy has seen the end of its life and is no longer receiving any updates. Marking the Hardy task for this ticket as "Won't Fix".

Changed in fglrx-installer (Ubuntu Hardy):
status: Confirmed → Won't Fix
Changed in linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy):
status: Confirmed → Won't Fix
1 comments hidden view all 108 comments

 Rolf

Чтобы Вы узнали кол-во переплаченных денег, высылаем на вашу электронную почту выписку.

Всю нужную информацию Вы найдете в прикрепленном документе.

Воскресенье, 23 ноября 2014, 15:22 UTC от Rolf Leggewie <email address hidden>:
>Hardy has seen the end of its life and is no longer receiving any
>updates. Marking the Hardy task for this ticket as "Won't Fix".
>
>** Changed in: linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy)
>       Status: Confirmed => Won't Fix
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>
>
>Title:
>  [fglrx] freezes upon Logout or Switch user [patch]
>
>Status in “fglrx-installer” package in Ubuntu:
>  Invalid
>Status in “gdm” package in Ubuntu:
>  Invalid
>Status in “linux-restricted-modules-2.6.24” package in Ubuntu:
>  Invalid
>Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu:
>  Won't Fix
>Status in “fglrx-installer” source package in Hardy:
>  Won't Fix
>Status in “gdm” source package in Hardy:
>  Invalid
>Status in “linux-restricted-modules-2.6.24” source package in Hardy:
>  Invalid
>Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
>  Won't Fix
>Status in Mandriva Linux:
>  Unknown
>
>Bug description:
>  Using Feisty, Gnome and GDM:
>
>  1) log in as any user
>  2) Log out or Switch user on the Quit screen
>
>  The screen goes black, Ctrl+Alt+Backspace does not work, nor does the
>  Ctrl+Alt+F1-12. Interestingly, Numlock LED is still responsive. The
>  only way out is hard reboot.
>
>  I looked for the solution on forums. One advice was to turn on
>  "Restart the X server with each login", however, it did not help.
>
>  I am not aware of any non-default configuration, I can supply my gdm
>  .conf-custom if needed.
>
>To manage notifications about this bug go to:
>

Stoker (stocker) wrote :

 Rolf
http://angel-tula.ru/home

Воскресенье, 23 ноября 2014, 15:22 UTC от Rolf Leggewie <email address hidden>:
>Hardy has seen the end of its life and is no longer receiving any
>updates. Marking the Hardy task for this ticket as "Won't Fix".
>
>** Changed in: linux-restricted-modules-envy-2.6.24 (Ubuntu Hardy)
>       Status: Confirmed => Won't Fix
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>
>
>Title:
>  [fglrx] freezes upon Logout or Switch user [patch]
>
>Status in “fglrx-installer” package in Ubuntu:
>  Invalid
>Status in “gdm” package in Ubuntu:
>  Invalid
>Status in “linux-restricted-modules-2.6.24” package in Ubuntu:
>  Invalid
>Status in “linux-restricted-modules-envy-2.6.24” package in Ubuntu:
>  Won't Fix
>Status in “fglrx-installer” source package in Hardy:
>  Won't Fix
>Status in “gdm” source package in Hardy:
>  Invalid
>Status in “linux-restricted-modules-2.6.24” source package in Hardy:
>  Invalid
>Status in “linux-restricted-modules-envy-2.6.24” source package in Hardy:
>  Won't Fix
>Status in Mandriva Linux:
>  Unknown
>
>Bug description:
>  Using Feisty, Gnome and GDM:
>
>  1) log in as any user
>  2) Log out or Switch user on the Quit screen
>
>  The screen goes black, Ctrl+Alt+Backspace does not work, nor does the
>  Ctrl+Alt+F1-12. Interestingly, Numlock LED is still responsive. The
>  only way out is hard reboot.
>
>  I looked for the solution on forums. One advice was to turn on
>  "Restart the X server with each login", however, it did not help.
>
>  I am not aware of any non-default configuration, I can supply my gdm
>  .conf-custom if needed.
>
>To manage notifications about this bug go to:
>

Displaying first 40 and last 40 comments. View all 108 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.